Package com.pixelmed.apps

## Class FindAndCopySelectedDicomFilesUsingDatabase

- java.lang.Object
- - com.pixelmed.apps.FindAndCopySelectedDicomFilesUsingDatabase

-     public class FindAndCopySelectedDicomFilesUsingDatabase
      extends java.lang.Object

  This class copies a set of DICOM files, if they match specified criteria.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FindAndCopySelectedDicomFilesUsingDatabase​(DatabaseInformationModel databaseInformationModel, java.util.Set<java.lang.String> sopClasses, java.lang.String outputPath)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Copy a set of DICOM files, if they match specified criteria.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindAndCopySelectedDicomFilesUsingDatabase

          public FindAndCopySelectedDicomFilesUsingDatabase​(DatabaseInformationModel databaseInformationModel,
                                                            java.util.Set<java.lang.String> sopClasses,
                                                            java.lang.String outputPath)

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Copy a set of DICOM files, if they match specified criteria.

      Does not actually check the Modality value in the file, but matches the SOP Class against what is returned from `SOPClass.getPlausibleStandardSOPClassUIDsForModality(String)`.

      Parameters:
        `arg` - array of four strings - the class name of the database model, the fully qualified path of the database file prefix, the output path, and the SOP Class UID or Modality